Method: folders.getSecurityCenterSettings

Gets the SecurityCenterSettings resource.

IAM Permissions

Requires the following IAM permission on the resource specified in the name field:

  • securitycenter.securitycentersettings.get

HTTP request


GET https://securitycenter.googleapis.com/v1beta2/{name=folders/*/securityCenterSettings}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the SecurityCenterSettings to retrieve. Format: organizations/{organization}/securityCenterSettings Format: folders/{folder}/securityCenterSettings Format: projects/{project}/securityCenterSettings

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of SecurityCenterSettings.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/securitycenter

For more information, see the Authentication Overview.